%-------------------------------------------------------------------------;
% Figure 4; Ratio of dividends-to-earnings
%-------------------------------------------------------------------------;

clear all;
clc;
close all;

%--------------------------;
%Dividends-earnings data;
%--------------------------;

filename='Dividends_earnings.xls';
data=xlsread(filename);

%Netherlands/U.K.;
data_1=data((data(:,1)>=1670 & data(:,1)<=1812),:);
dates=data_1(:,1);
de=data_1(:,2);

mean(de)
std(de)

figure(1)
plot(de,'b','LineWidth',2)
set(gca,'FontSize',12)
set(gca, 'XTick', 11:20:length(dates));
set(gca, 'XTickLabel', dates(11:20:length(dates)));
axis([1 length(de) 0.2 1.55]);
title('Netherlands/U.K.','fontweight','normal')

%U.S.;
data_2=data((data(:,1)>=1890 & data(:,1)<=2015),:);
dates=data_2(:,1);
de=data_2(:,2);

mean(de)
std(de)

figure(2)
plot(de,'b','LineWidth',2)
set(gca,'FontSize',12)
set(gca, 'XTick', 11:20:length(dates));
set(gca, 'XTickLabel', dates(11:20:length(dates)));
axis([1 length(de) 0.2 1.55]);
title('U.S.','fontweight','normal')